UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMApplicationHeaderChain Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMApplicationHeaderChain:

## Public Member Functions
| LBMApplicationHeaderChain () throws LBMException
void | dispose () throws LBMException
Iterator< LBMApplicationHeaderChainElement > | iterator ()
void | add (LBMApplicationHeaderChainElement element) throws LBMException

## Protected Member Functions
void | finalize () throws LBMException

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMApplicationHeaderChain.LBMApplicationHeaderChain | ( |  | ) | throws LBMException

Create an LBMApplicationHeaderChain object used to attach application headers to a send.

Returns
  A new, empty application header chain.

Since
  UMQ 1.1

## Member Function Documentation

void com.latencybusters.lbm.LBMApplicationHeaderChain.add | ( | LBMApplicationHeaderChainElement | element | ) | throws LBMException

Add a new LBMApplicationHeaderChainElement to the end of this application header chain.

Parameters

  element | The element to add.

Exceptions

  LBMException | if the add fails for any reason.

void com.latencybusters.lbm.LBMApplicationHeaderChain.dispose | ( |  | ) | throws LBMException

Cleans up memory associated with this LBMApplicationHeaderChain. A chain should not be used again once dispose() has been called. Calling dispose() is optional, but recommended.

Since
  UMQ 1.1

Referenced by com.latencybusters.lbm.LBMApplicationHeaderChain.finalize().

void com.latencybusters.lbm.LBMApplicationHeaderChain.finalize | ( |  | ) | throws LBMException
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMApplicationHeaderChain.dispose().

Iterator<LBMApplicationHeaderChainElement> com.latencybusters.lbm.LBMApplicationHeaderChain.iterator | ( |  | ) |

Returns an iterator that can be used to iterate over each LBMApplicationHeaderChainElement in this LBMApplicationHeaderChain.

Returns
  Iterator for LBMApplicationHeaderChainElement items in this application chain.

Since
  UMQ 1.1

The documentation for this class was generated from the following file:

- LBMApplicationHeaderChain.java